%global tarball xf86-video-amdgpu
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/drivers

# Xorg cannot load hardened build
%undefine _hardened_build

Name:		xorg-x11-drv-amdgpu
Version:	1.1.2
Release:	2%{?dist}

Summary:	AMD GPU video driver
Group:		User Interface/X Hardware Support
License:	MIT

URL:		http://www.x.org
Source:		https://www.x.org/archive/individual/driver/%{tarball}-%{version}.tar.bz2

ExcludeArch:	s390 s390x

BuildRequires: python
BuildRequires: xorg-x11-server-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libgbm-devel
BuildRequires: libdrm-devel
BuildRequires: kernel-headers
BuildRequires: automake autoconf libtool pkgconfig
BuildRequires: xorg-x11-util-macros
BuildRequires: libudev-devel
BuildRequires: xorg-x11-glamor-devel

Requires: Xorg %(xserver-sdk-abi-requires ansic)
Requires: Xorg %(xserver-sdk-abi-requires videodrv)
Requires: libdrm >= 2.4.63

%description
X.Org X11 AMDGPU driver

%prep
%autosetup -n %{tarball}-%{version}

%build
autoreconf -fiv
%configure --disable-static --enable-glamor
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{driverdir}/amdgpu_drv.so
%{_datadir}/X11/xorg.conf.d/10-amdgpu.conf
%{_mandir}/man4/amdgpu.4*

%changelog
* Sat Sep 24 2016 Christopher Atherton <the8lack8ox@gmail.com> 1.1.2-2
- Use upstream provided xorg.conf file

* Sat Sep 17 2016 Christopher Atherton <the8lack8ox@gmail.com> 1.1.2-1
- Update to latest release

* Thu Sep 15 2016 Christopher Atherton <the8lack8ox@gmail.com> 1.1.1-1
- Update to latest release

* Sun Sep 04 2016 Christopher Atherton <the8lack8ox@gmail.com> 1.1.0-6
- Add BuildRequires on mesa-libgbm-devel

* Sun Sep 04 2016 Christopher Atherton <the8lack8ox@gmail.com> 1.1.0-5
- Disable hardened build

* Sun Sep 04 2016 Christopher Atherton <the8lack8ox@gmail.com> 1.1.0-4
- Use buildroot macro not RPM_BUILD_ROOT variable
- Replace /usr/share with _datadir
- Enable hardened build

* Sat Sep 03 2016 Christopher Atherton <the8lack8ox@gmail.cmo> 1.1.0-3
- Require libdrm equal to or later than 2.4.63

* Sat Sep 03 2016 Christopher Atherton <the8lack8ox@gmail.com> 1.1.0-2
- Fixed ExcludeArch typo
- Add URL for source
- Use --force with autoreconf
- Use make_build macro
- Removed explicit libdrm dependency

* Sat Sep 03 2016 Christopher Atherton <the8lack8ox@gmail.com> 1.1.0-1
- Initial spec
